#
# spec file for package ibus-qt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-qt
Version:        1.3.3
Release:        lp150.1.8
Summary:        Qt IBus library and Qt input method plugin
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://github.com/ibus/ibus-qt/
Source:         https://github.com/ibus/ibus-qt/releases/download/%{version}/%{name}-%{version}-Source.tar.gz
Source99:	baselibs.conf
Patch1:         fix-keysym-type.patch
BuildRequires:  cmake
BuildRequires:  dbus-1-devel >= 1.2
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  ibus-devel >= 1.2
BuildRequires:  libicu-devel >= 4.0
BuildRequires:  libqt4-devel
Supplements:    packageand(ibus:libqt4)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ibus_requires

%description
Qt IBus library and Qt input method plugin.

%package devel
Summary:        Development tools for ibus qt
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
The ibus-qt-devel package contains the header files for ibus qt library.

%prep
%setup -q -n %{name}-%{version}-Source
%patch1 -p1

%build
cmake \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DLIBDIR=%{_libdir}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%fdupes %{buildroot}
# handled by %doc macro
rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libibus-qt.so.*
%{_libdir}/qt4/plugins/inputmethods/libqtim-ibus.so

%files devel
%defattr(-,root,root)
%doc AUTHORS README
%{_includedir}/*
%{_libdir}/libibus-qt.so

%changelog
* Mon Jun 12 2017 idonmez@suse.com
- Add fix-keysym-type.patch to fix type for KeySym. Fixes a runtime
  crash with gcc7.
* Sun Jul 27 2014 i@marguerite.su
- update version 1.3.3
  * Enable dead_belowdot with de layout.
  * Fixed installed but unpackaged files with rpm-build 4.11.1 and %%doc.
  * Proof of concept implementation for delete-surrounding-text.
  * Finish the surrounding text implementation
* Fri Feb  7 2014 fcrozat@suse.com
- Fix documentation installation and ensure COPYING is installed.
* Mon Jul  8 2013 hillwood@linuxfans.org
- update to 1.3.2
  * Enable dead_belowdot with de layout.
  * Add codereview.settings.
* Tue Dec  6 2011 aj@suse.de
- Package documentation as part of devel package only.
- Do not package INSTALL file with build instructions.
* Wed Jun 15 2011 tiwai@suse.de
- Add supplements tag for automatic installation
* Tue Jun 14 2011 swyear@gmail.com
- Update to 1.3.1;
  fix builds with the new ibus-1.3.x infrastructure;
  fix build errors with the recent cmake
* Fri Jan 29 2010 mxwu@novell.com
- Initial import.
